AIPlatformValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AIPlatformValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AIPlatformValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIAppdefResourceValue
          org.hyperic.hq.appdef.shared.AIPlatformValue

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AIPlatformWithStatus, PlatformResource

    public class AIPlatformValue

extends AIAppdefResourceValue
implements java.io.Serializable

Value object for AIPlatform.

See Also:
  Serialized Form

Field Summary
`protected java.util.Collection` | `addedAIIpValues`
`protected java.util.Collection` | `addedAIServerValues`
`protected java.util.Collection` | `removedAIIpValues`
`protected java.util.Collection` | `removedAIServerValues`
`protected java.util.Collection` | `updatedAIIpValues`
`protected java.util.Collection` | `updatedAIServerValues`

Constructor Summary
`AIPlatformValue()`
`AIPlatformValue(AIPlatformValue otherValue)`
`AIPlatformValue(java.lang.String agentToken, int queueStatus, byte[] customProperties, byte[] productConfig, byte[] controlConfig, byte[] measurementConfig, long diff, boolean ignored, java.lang.String platformTypeName, java.lang.Long lastApproved, java.lang.String certdn, java.lang.String fqdn, java.lang.String name, java.lang.String location, java.lang.String description, java.lang.Integer cpuCount, java.lang.Integer id, java.lang.Long mTime, java.lang.Long cTime)`

Method Summary
`void` | `addAIIpValue(AIIpValue added)`
`void` | `addAIServerValue(AIServerValue added)`
`boolean` | `agentTokenHasBeenSet()`
`boolean` | `certdnHasBeenSet()`
`void` | `cleanAIIpValue()`
`void` | `cleanAIServerValue()`
`boolean` | `controlConfigHasBeenSet()`
`void` | `copyAIIpValuesFrom(AIPlatformValue from)`
`void` | `copyAIServerValuesFrom(AIPlatformValue from)`
`boolean` | `cpuCountHasBeenSet()`
`boolean` | `cTimeHasBeenSet()`
`boolean` | `customPropertiesHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `diffHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`boolean` | `fqdnHasBeenSet()`
`java.util.Collection` | `getAddedAIIpValues()`
`java.util.Collection` | `getAddedAIServerValues()`
`java.lang.String` | `getAgentToken()`
`AIIpValue[]` | `getAIIpValues()`
`AIServerValue[]` | `getAIServerValues()`
`java.lang.String` | `getCertdn()`
`byte[]` | `getControlConfig()`
`java.lang.Integer` | `getCpuCount()`
`java.lang.Long` | `getCTime()`
`byte[]` | `getCustomProperties()`
`java.lang.String` | `getDescription()`
`long` | `getDiff()`
`java.lang.String` | `getFqdn()`
`java.lang.Integer` | `getId()`
`boolean` | `getIgnored()`
`java.lang.Long` | `getLastApproved()`
`java.lang.String` | `getLocation()`
`byte[]` | `getMeasurementConfig()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlatformTypeName()`
`byte[]` | `getProductConfig()`
`int` | `getQueueStatus()`
`java.util.Collection` | `getRemovedAIIpValues()`
`java.util.Collection` | `getRemovedAIServerValues()`
`java.util.Collection` | `getUpdatedAIIpValues()`
`java.util.Collection` | `getUpdatedAIServerValues()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `ignoredHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `lastApprovedHasBeenSet()`
`boolean` | `locationHasBeenSet()`
`boolean` | `measurementConfigHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `platformTypeNameHasBeenSet()`
`boolean` | `productConfigHasBeenSet()`
`boolean` | `queueStatusHasBeenSet()`
`void` | `removeAIIpValue(AIIpValue removed)`
`void` | `removeAIServerValue(AIServerValue removed)`
`void` | `removeAllAIIpValues()`
`void` | `removeAllAIServerValues()`
`void` | `setAgentToken(java.lang.String agentToken)`
`void` | `setCertdn(java.lang.String certdn)`
`void` | `setControlConfig(byte[] controlConfig)`
`void` | `setCpuCount(java.lang.Integer cpuCount)`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setCustomProperties(byte[] customProperties)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDiff(long diff)`
`void` | `setFqdn(java.lang.String fqdn)`
`void` | `setId(java.lang.Integer id)`
`void` | `setIgnored(boolean ignored)`
`void` | `setLastApproved(java.lang.Long lastApproved)`
`void` | `setLocation(java.lang.String location)`
`void` | `setMeasurementConfig(byte[] measurementConfig)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`void` | `setPlatformTypeName(java.lang.String platformTypeName)`
`void` | `setProductConfig(byte[] productConfig)`
`void` | `setQueueStatus(int queueStatus)`
`java.lang.String` | `toString()`
`void` | `updateAIIpValue(AIIpValue updated)`
`void` | `updateAIServerValue(AIServerValue updated)`

Methods inherited from class org.hyperic.hq.appdef.shared.AIAppdefResourceValue
`getQueueStatusStr, isPlatformDevice`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### addedAIIpValues

    protected java.util.Collection addedAIIpValues

### removedAIIpValues

    protected java.util.Collection removedAIIpValues

### updatedAIIpValues

    protected java.util.Collection updatedAIIpValues

### addedAIServerValues

    protected java.util.Collection addedAIServerValues

### removedAIServerValues

    protected java.util.Collection removedAIServerValues

### updatedAIServerValues

    protected java.util.Collection updatedAIServerValues

Constructor Detail

### AIPlatformValue

    public AIPlatformValue()

### AIPlatformValue

    public AIPlatformValue(java.lang.String agentToken,
                           int queueStatus,
                           byte[] customProperties,
                           byte[] productConfig,
                           byte[] controlConfig,
                           byte[] measurementConfig,
                           long diff,
                           boolean ignored,
                           java.lang.String platformTypeName,
                           java.lang.Long lastApproved,
                           java.lang.String certdn,
                           java.lang.String fqdn,
                           java.lang.String name,
                           java.lang.String location,
                           java.lang.String description,
                           java.lang.Integer cpuCount,
                           java.lang.Integer id,
                           java.lang.Long mTime,
                           java.lang.Long cTime)

### AIPlatformValue

    public AIPlatformValue(AIPlatformValue otherValue)

Method Detail

### getAgentToken

    public java.lang.String getAgentToken()

### setAgentToken

    public void setAgentToken(java.lang.String agentToken)

### agentTokenHasBeenSet

    public boolean agentTokenHasBeenSet()

### getQueueStatus

    public int getQueueStatus()

  Specified by:
    `getQueueStatus` in class `AIAppdefResourceValue`

### setQueueStatus

    public void setQueueStatus(int queueStatus)

### queueStatusHasBeenSet

    public boolean queueStatusHasBeenSet()

### getCustomProperties

    public byte[] getCustomProperties()

### setCustomProperties

    public void setCustomProperties(byte[] customProperties)

### customPropertiesHasBeenSet

    public boolean customPropertiesHasBeenSet()

### getProductConfig

    public byte[] getProductConfig()

### setProductConfig

    public void setProductConfig(byte[] productConfig)

### productConfigHasBeenSet

    public boolean productConfigHasBeenSet()

### getControlConfig

    public byte[] getControlConfig()

### setControlConfig

    public void setControlConfig(byte[] controlConfig)

### controlConfigHasBeenSet

    public boolean controlConfigHasBeenSet()

### getMeasurementConfig

    public byte[] getMeasurementConfig()

### setMeasurementConfig

    public void setMeasurementConfig(byte[] measurementConfig)

### measurementConfigHasBeenSet

    public boolean measurementConfigHasBeenSet()

### getDiff

    public long getDiff()

### setDiff

    public void setDiff(long diff)

### diffHasBeenSet

    public boolean diffHasBeenSet()

### getIgnored

    public boolean getIgnored()

  Specified by:
    `getIgnored` in class `AIAppdefResourceValue`

### setIgnored

    public void setIgnored(boolean ignored)

### ignoredHasBeenSet

    public boolean ignoredHasBeenSet()

### getPlatformTypeName

    public java.lang.String getPlatformTypeName()

### setPlatformTypeName

    public void setPlatformTypeName(java.lang.String platformTypeName)

### platformTypeNameHasBeenSet

    public boolean platformTypeNameHasBeenSet()

### getLastApproved

    public java.lang.Long getLastApproved()

### setLastApproved

    public void setLastApproved(java.lang.Long lastApproved)

### lastApprovedHasBeenSet

    public boolean lastApprovedHasBeenSet()

### getCertdn

    public java.lang.String getCertdn()

### setCertdn

    public void setCertdn(java.lang.String certdn)

### certdnHasBeenSet

    public boolean certdnHasBeenSet()

### getFqdn

    public java.lang.String getFqdn()

### setFqdn

    public void setFqdn(java.lang.String fqdn)

### fqdnHasBeenSet

    public boolean fqdnHasBeenSet()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getLocation

    public java.lang.String getLocation()

### setLocation

    public void setLocation(java.lang.String location)

### locationHasBeenSet

    public boolean locationHasBeenSet()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getCpuCount

    public java.lang.Integer getCpuCount()

### setCpuCount

    public void setCpuCount(java.lang.Integer cpuCount)

### cpuCountHasBeenSet

    public boolean cpuCountHasBeenSet()

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in class `AIAppdefResourceValue`

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### getAddedAIIpValues

    public java.util.Collection getAddedAIIpValues()

### getRemovedAIIpValues

    public java.util.Collection getRemovedAIIpValues()

### getUpdatedAIIpValues

    public java.util.Collection getUpdatedAIIpValues()

### getAIIpValues

    public AIIpValue[] getAIIpValues()

### addAIIpValue

    public void addAIIpValue(AIIpValue added)

### removeAIIpValue

    public void removeAIIpValue(AIIpValue removed)

### removeAllAIIpValues

    public void removeAllAIIpValues()

### updateAIIpValue

    public void updateAIIpValue(AIIpValue updated)

### cleanAIIpValue

    public void cleanAIIpValue()

### copyAIIpValuesFrom

    public void copyAIIpValuesFrom(AIPlatformValue from)

### getAddedAIServerValues

    public java.util.Collection getAddedAIServerValues()

### getRemovedAIServerValues

    public java.util.Collection getRemovedAIServerValues()

### getUpdatedAIServerValues

    public java.util.Collection getUpdatedAIServerValues()

### getAIServerValues

    public AIServerValue[] getAIServerValues()

### addAIServerValue

    public void addAIServerValue(AIServerValue added)

### removeAIServerValue

    public void removeAIServerValue(AIServerValue removed)

### removeAllAIServerValues

    public void removeAllAIServerValues()

### updateAIServerValue

    public void updateAIServerValue(AIServerValue updated)

### cleanAIServerValue

    public void cleanAIServerValue()

### copyAIServerValuesFrom

    public void copyAIServerValuesFrom(AIPlatformValue from)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.